Public Attributes | List of all members
ble_l2cap_evt_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

BLE L2cap event structure. More...

`#include <ble_l2cap.h>`

Collaboration diagram for ble_l2cap_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection or advertising. More...
union {
ble_l2cap_evt_conn_req_t conn_req
| L2cap Connect Request event. More...
ble_l2cap_evt_conn_ind_t conn_ind
| L2cap Connected Indicate event. More...
ble_l2cap_evt_add_credits_ind_t add_credits_ind
| L2cap Credits Add Indicate event. More...
ble_l2cap_evt_disconnect_t disconnected
| L2cap Disconnected event. More...
ble_l2cap_evt_sdu_recv_t sdu_recv
| L2cap SDU Receive event. More...
ble_l2cap_evt_sdu_send_t sdu_send
| L2cap SDU Send event. More...
ble_l2cap_evt_add_credits_cplt_t add_credits_cplt
| L2cap Credits Add Completed event. More...
} | params
| Event Parameters. More...

## Detailed Description

BLE L2cap event structure.

Definition at line 191 of file ble_l2cap.h.

## Member Data Documentation

## ◆ add_credits_cplt

ble_l2cap_evt_add_credits_cplt_t ble_l2cap_evt_t::add_credits_cplt

L2cap Credits Add Completed event.

Definition at line 202 of file ble_l2cap.h.

## ◆ add_credits_ind

ble_l2cap_evt_add_credits_ind_t ble_l2cap_evt_t::add_credits_ind

L2cap Credits Add Indicate event.

Definition at line 198 of file ble_l2cap.h.

## ◆ conn_ind

ble_l2cap_evt_conn_ind_t ble_l2cap_evt_t::conn_ind

L2cap Connected Indicate event.

Definition at line 197 of file ble_l2cap.h.

## ◆ conn_req

ble_l2cap_evt_conn_req_t ble_l2cap_evt_t::conn_req

L2cap Connect Request event.

Definition at line 196 of file ble_l2cap.h.

## ◆ disconnected

ble_l2cap_evt_disconnect_t ble_l2cap_evt_t::disconnected

L2cap Disconnected event.

Definition at line 199 of file ble_l2cap.h.

## ◆ index

uint8_t ble_l2cap_evt_t::index

Index of connection or advertising.

Definition at line 193 of file ble_l2cap.h.

## ◆ params

union { ... } ble_l2cap_evt_t::params

Event Parameters.

## ◆ sdu_recv

ble_l2cap_evt_sdu_recv_t ble_l2cap_evt_t::sdu_recv

L2cap SDU Receive event.

Definition at line 200 of file ble_l2cap.h.

## ◆ sdu_send

ble_l2cap_evt_sdu_send_t ble_l2cap_evt_t::sdu_send

L2cap SDU Send event.

Definition at line 201 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h